﻿<UserControl x:Class="MofoBot.Bot.Uol.Forms.Sessions.Add"
             xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
             xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
             xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
             xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
             mc:Ignorable="d" 
             d:DesignWidth="400" 
             Loaded="UserControl_Loaded">
    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition></ColumnDefinition>
            <ColumnDefinition></ColumnDefinition>
        </Grid.ColumnDefinitions>
        <Grid.RowDefinitions>
            <RowDefinition Height="28"></RowDefinition>
            <RowDefinition Height="28"></RowDefinition>
            <RowDefinition Height="28"></RowDefinition>
            <RowDefinition Height="28"></RowDefinition>
            <RowDefinition Height="34"></RowDefinition>
            <RowDefinition Height="28"></RowDefinition>
            <RowDefinition Height="Auto"></RowDefinition>
            <RowDefinition Height="28"></RowDefinition>
            <RowDefinition Height="Auto"></RowDefinition>
            <RowDefinition Height="28"></RowDefinition>
            <RowDefinition></RowDefinition>
        </Grid.RowDefinitions>
        
        <!-- Nome da Sessão -->
        <Label Grid.Row="0" Grid.Column="0" HorizontalAlignment="Right">Nome da Sessão</Label>
        <TextBox Grid.Row="0" Grid.Column="1" Name="sessionName" Text="{Binding Name}" Height="23"></TextBox>
        <!-- //Nome da Sessão -->

        <!-- Room Picker -->
        <Label Grid.Row="1" Grid.Column="0" HorizontalAlignment="Right">Sala</Label>
        <Button Grid.Row="1" Grid.Column="1" Name="room" Click="room_Click" Height="23">Selecionar Sala</Button>
        <!-- //Room Picker -->
        
        <!-- Room Url -->
        <Label Grid.Row="2" Grid.Column="0" HorizontalAlignment="Right">Url da sala</Label>
        <TextBox Text="{Binding Url}" Grid.Row="2" Grid.Column="1" Height="23" IsReadOnly="True"></TextBox>
        <!-- //Room Url -->
        
        <!-- Nickname -->
        <Label Grid.Row="3" Grid.Column="0" HorizontalAlignment="Right">Nickname</Label>
        <ComboBox Name="nicknames" DisplayMemberPath="Value" Grid.Row="3" Grid.Column="1" Height="23" SelectedValuePath="Value" SelectedValue="{Binding Nickname}"></ComboBox>
        <!-- //Nickname -->

        <!-- Color -->
        <Label Grid.Row="4" Grid.Column="0" HorizontalAlignment="Right">Cor</Label>
        <ComboBox Name="colors" Grid.Column="1" Grid.Row="4" Height="30" SelectedIndex="0" Width="200" SelectedValuePath="Key" SelectedValue="{Binding Color}">
            <ComboBox.ItemTemplate>
                <DataTemplate>
                    <Grid>
                        <Label Content="{Binding Value}" Width="178"></Label>
                        <Label Background="{Binding Key}" Width="22" HorizontalAlignment="Right"></Label>
                    </Grid>
                </DataTemplate>
            </ComboBox.ItemTemplate>
        </ComboBox>
        <!-- //Color -->
        <!-- Messages -->
        <Label Grid.Row="5" Grid.Column="0">Mensagens separadas por ";" :</Label>
        <!--<Button Grid.Row="5" Grid.Column="1" Height="23">Usar Mensagens Prontas</Button>-->
        <TextBox Grid.Row="6" Grid.ColumnSpan="2" MinHeight="100" Text="{Binding Messages}" AcceptsReturn="True">
            
        </TextBox>
        <Label Grid.Row="7" Grid.Column="0">Mensagens Pvt separadas por ";" :</Label>
        <!--<Button Grid.Row="7" Grid.Column="1" Height="23">Usar Mensagens Prontas</Button>-->
        <TextBox Grid.Row="8" Grid.ColumnSpan="2" MinHeight="100" Text="{Binding PvMessages}" AcceptsReturn="True">

        </TextBox>
        <!-- //Messages -->
        <Button Grid.Row="9" Grid.Column="1" Height="25" HorizontalAlignment="Right" VerticalAlignment="Top" Click="Button_Click">Adicionar</Button>
        <StatusBar Grid.Row="10" Grid.ColumnSpan="2" Height="25" VerticalAlignment="Bottom">
            <TextBlock Name="sessionAddFooter"></TextBlock>
        </StatusBar>
    </Grid>
</UserControl>
